<script lang="ts">
	import { onMount } from 'svelte';
	import ReservationItem from './_components/ReservationItem.svelte';
	import { getReservationsByCustomerId } from '../../api/reservation/reservation';
	import type { ReservationDB } from '../../api/reservation/types';
	import { SearchIcon } from 'svelte-feather-icons';
	import Button from '../../../components/Main/Button.svelte';
	import { goto } from '$app/navigation';

	let reservations: ReservationDB[] = [
		// {
		// 	id: 1,
		// 	checkInDate: '2021-10-10',
		// 	numberOfNights: 2,
		// 	status: 'RESERVED',
		// 	roomType: 'STANDARD',
		// 	equipments: ['Lit 1 place', 'Wifi', 'TV'],
		// 	price: 50
		// },
		// {
		// 	id: 2,
		// 	checkInDate: '2021-20-10',
		// 	numberOfNights: 7,
		// 	status: 'RESERVED',
		// 	roomType: 'SUPERIOR',
		// 	equipments: ['Lit 2 places', 'Wifi', 'TV écran plat', 'Minibar', 'Climatiseur'],
		// 	price: 100
		// },
		// {
		// 	id: 3,
		// 	checkInDate: '2021-15-10',
		// 	numberOfNights: 5,
		// 	status: 'RESERVED',
		// 	roomType: 'SUITE',
		// 	equipments: [
		// 		'Lit 2 places',
		// 		'Wifi',
		// 		'TV écran plat',
		// 		'Minibar',
		// 		'Climatiseur',
		// 		'Baignoire',
		// 		'Terrasse'
		// 	],
		// 	price: 200
		// }
	];

	let customerID = '';
	onMount(async () => {
		customerID = sessionStorage.getItem('customerID') || '';
		reservations = (await getReservationsByCustomerId(customerID)).reservations || [];
	});
</script>

<div class="grow flex flex-col items-center p-4 w-full">
	<div class="flex flex-col items-center gap-4 w-full h-full md:w-2/3 p-4">
		{#each reservations as reservation}
			<ReservationItem {reservation} />
		{:else}
			<div class="flex flex-col items-center justify-center gap-4 grow">
				<span class="text-2xl font-semibold">Votre n'avez aucune réservation</span>
				<SearchIcon class="w-24 h-24" />
				<Button type="primary" on:click={() => goto('/reserve')}>Réserver une chambre</Button>
			</div>
		{/each}
	</div>
</div>
